*
      PROGRAM TCL_SYEVZ
*
*       ணࠬ   PDSYEV2(EV4, EV6)
*
      include 'mpif.h'
*
* ࠬ 
      INTEGER            N, NPROW, NPCOL, NB, MEMSIZE, IL, IU
      DOUBLE PRECISION   VL, VU, ABSTOL, ORFAC
      PARAMETER          ( N=7, NB=2, MEMSIZE=114)
*      PARAMETER          ( N=50, NB=8, MEMSIZE=495)
*
      DOUBLE PRECISION   AMEM( MEMSIZE )
      CHARACTER*(*)      NAME, UPLO
      CHARACTER          INFILEA*(*), OUTFILE*(*)
      PARAMETER          ( INFILEA = 'syev_7.dat',
     $                     OUTFILE = 'syevz_7.res')
*      PARAMETER          ( INFILEA = 'syev_50.dat',
*     $                     OUTFILE = 'syevs_50.res')
*
      PARAMETER          ( UPLO = 'U',
     $                     NAME = 'PDSYEV2')
**     $                     NAME = 'PDSYEV4')
**     $                     NAME = 'PDSYEV6')
*
       EXTERNAL          CAL_SYEVZ
*
* 믮塞 
*
      NPROW = 2
      NPCOL = 2
*
      VL = 0.D0
      VU = 0.D0
      IL = 0
      IU = 0
*
      IF( NAME .NE. 'PDSYEV4' ) GOTO 1
      VL = -10.0D0
      VU =  10.0D0
    1 IF( NAME .NE. 'PDSYEV6' ) GOTO 2
      IL = 2
      IU = 7
    2 ABSTOL = 10.0D-10
      ORFAC = 0.D0
*
      CALL CAL_SYEVZ(NAME, UPLO, N, NPROW, NPCOL, AMEM, MEMSIZE, NB,
     $               VL, VU, IL, IU, ABSTOL, ORFAC, INFILEA, OUTFILE)
*
      STOP
      END
